Taslak Taşı

From FreeCAD Documentation
Revision as of 11:48, 7 January 2019 by Skywalker21 (talk | contribs) (Created page with "=== Belirli bir eksen boyunca hareket etme ===")

Taşı

Menü konumu
Taslak → Taşı
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
M V
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri

Tanım

Taşıma aracı, geçerli Çalışma düzlemi üzerinde seçilen nesneleri bir noktadan diğerine taşır veya kopyalar. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.

Nasıl kullanılır

  1. Taşımak veya kopyalamak istediğiniz nesneleri seçin
  2. Taşı düğmesine basın veya M ve ardından V tuşlarına basın
  3. 3D görünümünde bir ilk noktaya tıklayın veya bir koordinat yazın
  4. 3D görünümünde başka bir noktaya tıklayın veya bir koordinat yazın

Snapping, Kısıtlama ve daha fazlası

Seçenekler

Nesneyi 3D'de hareket ettirmek korkunç olabilir ve büyük olasılıkla istediğiniz sonuç değil. FreeCAD, nesneyi dolaştırmak için çok daha fazla güce sahiptir, ancak önce bu komutları nasıl etkinleştireceğinizi görmek için seçenekleri kontrol etmeniz gerekir.

Edit -> Seçenekler -> DRAFT 'a gidin, ardından Grid and snapping sekmesini açın.

Orada birkaç seçenek göreceksiniz:

File:Pref Draft Snapping.png

Varsayılan olarak "Her zaman snap (devre dışı bırakma modu) aktifleştir" seçeneği etkinleştirilir; bu, takma araçlarının her zaman etkin olacağı anlamına gelir (bunları etkinleştirmek için bir tuşa basmanız gerekmez), bu tuşu etkinleştirmek için hangi tuşların atandığını not edin. varsayılan olarak farklı modlar:

  • SHIFT Constrain modunu etkinleştirir (sadece bir eksen vektörü boyunca hareket eder)
  • Ctl SNAP modunu etkinleştirir (imleç belirli noktalara yaslanacaktır)
  • Alt ALT etkinleştir

Belirli bir eksen boyunca hareket etme

In order to move along a specific axis, you must first select a working plane containing this axis (see the selecting working plane page for more information).

After selecting the first point to move, start to move roughly in the axis direction and hold the SHIFT key. FreeCAD will automatically find which axis you are trying to follow and stick to this axis.

(This tool is especially powerful if you want to align a point to another one, regarding to an axis only).

More on constrain move here

Snapping

If you have a point that you want to directly match on a solid, you can use snapping see the snapping page on how to activate the snap. Select the first point (using snap or not), and then hover to the second point until you see it highlighted.

By default the snapping mode is activated, but you may have it deactivated in the preferences (see preceding section), in that case, you will have to hold the Snapping key Ctrl by default.

Alt Mode

Alt mode allows you to copy and object instead of moving it only.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Move tool will restart after you finish or close it, allowing you to move or copy the objects another time without pressing the Move button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Move tool can by used in macros and from the python console by using the following function:

move (FreeCAD.Object or list, Vector, [copymode])
  • Moves the given object or the objects contained in the given list in the direction and distance indicated by the given vector.
  • If copymode is True, the actual objects are not moved, but copies are created instead. Returns the object(s) (or their copies if copymode was True)
  • A list of the moved object (or the copies) is returned

Example:

import FreeCAD,Draft
Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))

Limitations

  • When moving (or changing Placement of) a document object (eg: Pad, Revolution, etc) which is based on a Sketch (from Sketcher/Part Design), you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.